System 4.0.0.0 Microsoft.Win32.SafeHandles.SafeHandleZeroOrMinusOneIsInvalid

The channel binding token in a class instance is used to provide extended protection for integrated windows authentication.

The class encapsulates a pointer to the opaque data used to bind an authenticated transaction to a secure channel.

- Constructor
  4.0.0.0

  The channel binding token is used to provide extended protection for integrated windows authentication.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The constructor is designed to deal with how the channel binding is acquired to compensate for allocation and deallocation semantics in the native calls that provide extended protection for integrated windows authentication.

  Initializes a new instance of the class.

  A Boolean value that indicates if the application owns the safe handle to a native memory region containing the byte data that would be passed to native calls that provide extended protection for integrated windows authentication.
- Property
  4.0.0.0
  System.Int32 To be added.

  The size of the channel binding token may be used by derived classes when passing the instance that contains a channel binding token to other classes or to the native Windows security functions that implement extended protection. The channel binding token is used to provide extended protection for integrated Windows authentication.

  The property gets the size, in bytes, of the channel binding token associated with the instance.